## org.eclipse.emf.ecore.impl
Class EEnumLiteralImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EEnumLiteralImpl

All Implemented Interfaces:
  Notifier, Enumerator, EEnumLiteral, EModelElement, ENamedElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

    public class EEnumLiteralImpl

extends ENamedElementImpl
implements EEnumLiteral

An implementation of the model object 'EEnum Literal'.

The following features are implemented:

- `Value`
- `Instance`
- `Literal`
- `EEnum`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected Enumerator` `instance` The cached value of the '`Instance`' attribute
`protected static Enumerator` `INSTANCE_EDEFAULT` The default value of the '`Instance`' attribute
`protected java.lang.String` `literal` The cached value of the '`Literal`' attribute
`protected static java.lang.String` `LITERAL_EDEFAULT` The default value of the '`Literal`' attribute
`protected int` `value` The cached value of the '`Value`' attribute
`protected static int` `VALUE_EDEFAULT` The default value of the '`Value`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EEnumLiteralImpl()`

Method Summary
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EEnum` `getEEnum()`
`Enumerator` `getInstance()`
`java.lang.String` `getLiteral()` Returns the literal value of the enumerator.
`java.lang.String` `getLiteralGen()`
`int` `getValue()`
`void` `setInstance(Enumerator newInstance)` Sets the value of the '`Instance`' attribute
`void` `setInstanceGen(Enumerator newInstance)`
`void` `setLiteral(java.lang.String newLiteral)`
`void` `setValue(int newValue)`
`java.lang.String` `toString()`
`java.lang.String` `toStringGen()`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.common.util.Enumerator
`getName`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### VALUE_EDEFAULT

    protected static final int VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getValue()`, Constant Field Values

### value

    protected int value

  The cached value of the '`Value`' attribute.

  See Also:
    `getValue()`

### INSTANCE_EDEFAULT

    protected static final Enumerator INSTANCE_EDEFAULT

  The default value of the '`Instance`' attribute.

  See Also:
    `getInstance()`

### instance

    protected Enumerator instance

  The cached value of the '`Instance`' attribute.

  See Also:
    `getInstance()`

### LITERAL_EDEFAULT

    protected static final java.lang.String LITERAL_EDEFAULT

  The default value of the '`Literal`' attribute.

  See Also:
    `getLiteral()`

### literal

    protected java.lang.String literal

  The cached value of the '`Literal`' attribute.

  See Also:
    `getLiteral()`

Constructor Detail

### EEnumLiteralImpl

    protected EEnumLiteralImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ENamedElementImpl`

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`
  Specified by:
    `getValue` in interface `EEnumLiteral`
  Returns:
    the value.
  See Also:
    `EEnumLiteral.setValue(int)`, `EcorePackage.getEEnumLiteral_Value()`

### setValue

    public void setValue(int newValue)

  Specified by:
    `setValue` in interface `EEnumLiteral`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `EEnumLiteral.getValue()`

### getInstance

    public Enumerator getInstance()

  Specified by:
    `getInstance` in interface `EEnumLiteral`
  Returns:
    the value of the 'Instance' attribute.
  See Also:
    `EEnumLiteral.setInstance(Enumerator)`, `EcorePackage.getEEnumLiteral_Instance()`

### setInstanceGen

    public void setInstanceGen(Enumerator newInstance)

### setInstance

    public void setInstance(Enumerator newInstance)

  Description copied from interface: `EEnumLiteral`
  Sets the value of the '`Instance`' attribute.

  Specified by:
    `setInstance` in interface `EEnumLiteral`
  Parameters:
    `newInstance` - the new value of the 'Instance' attribute.
  See Also:
    `EEnumLiteral.getInstance()`

### getLiteralGen

    public java.lang.String getLiteralGen()

### getLiteral

    public java.lang.String getLiteral()

  Description copied from interface: `Enumerator`
  Returns the literal value of the enumerator.

  Specified by:
    `getLiteral` in interface `Enumerator`
  Specified by:
    `getLiteral` in interface `EEnumLiteral`
  Returns:
    the literal.
  See Also:
    `EEnumLiteral.setLiteral(String)`, `EcorePackage.getEEnumLiteral_Literal()`

### setLiteral

    public void setLiteral(java.lang.String newLiteral)

  Specified by:
    `setLiteral` in interface `EEnumLiteral`
  Parameters:
    `newLiteral` - the new value of the 'Literal' attribute.
  See Also:
    `EEnumLiteral.getLiteral()`

### getEEnum

    public EEnum getEEnum()

  Specified by:
    `getEEnum` in interface `EEnumLiteral`
  Returns:
    the value of the 'EEnum' container reference.
  See Also:
    `EcorePackage.getEEnumLiteral_EEnum()`, `EEnum.getELiterals()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `EModelElementImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `EModelElementImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `ENamedElementImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `ENamedElementImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `ENamedElementImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `ENamedElementImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Description copied from class: `ENamedElementImpl`

  Overrides:
    `toString` in class `ENamedElementImpl`

### toStringGen

    public java.lang.String toStringGen()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.